import request from '@/utils/request'

// 查询考勤管理列表
export function listAttendanceUbiData(query) {
  return request({
    url: '/manage/attendanceUbiData/list',
    method: 'get',
    params: query
  })
}

// 查询考勤管理详细
export function getAttendanceUbiData(id) {
  return request({
    url: '/manage/attendanceUbiData/' + id,
    method: 'get'
  })
}

// 新增考勤管理
export function addAttendanceUbiData(data) {
  return request({
    url: '/manage/attendanceUbiData',
    method: 'post',
    data: data
  })
}

// 修改考勤管理
export function updateAttendanceUbiData(data) {
  return request({
    url: '/manage/attendanceUbiData',
    method: 'put',
    data: data
  })
}

// 删除考勤管理
export function delAttendanceUbiData(id) {
  return request({
    url: '/manage/attendanceUbiData/' + id,
    method: 'delete'
  })
}
